
DATASET ACTIVATE DataSet1.
FREQUENCIES VARIABLES= candyt1 age gender mean_att mean_pc mean_sn mean_bi 
  /STATISTICS=STDDEV VARIANCE MINIMUM MAXIMUM MEAN MEDIAN SKEWNESS SESKEW KURTOSIS SEKURT
  /HISTOGRAM
  /ORDER=ANALYSIS.

if (gender=1) women= .215 .
if (gender=2) women= -.785 .
compute c_age = age - 20.70 .
compute c_att = mean_att - 1.5354 .
compute c_pbc = mean_pc - 1.4519 .
compute c_sn = mean_sn - .8037 .
execute .

*You don't need to centre with mediation.  But it's a good idea to get into the habit of doing so.  It makes the coefficients more interpretable (esp. the constant).
*NB how I replaced the vague gender variable with a meaningful direction variable where you can interpret the effects (sig + betas mean women > men).  We use a 
*weighted effect code here because the n are so unequal (79% women), otherwise 1 -1.

FREQUENCIES VARIABLES=women c_age c_att c_pbc c_sn
  /STATISTICS=STDDEV VARIANCE MINIMUM MAXIMUM MEAN MEDIAN SKEWNESS SESKEW KURTOSIS SEKURT
  /HISTOGRAM
  /ORDER=ANALYSIS.

*Double checking the centered means.

REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL CHANGE ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT mean_bi
  /METHOD=ENTER c_age women c_att
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS DURBIN HIST(ZRESID) NORM(ZRESID)
  /CASEWISE PLOT(ZRESID) OUTLIERS(3).
*The first time you run this there is a casewise outlier.  Don't forget to delete it.  First save the file under a different name.
Then delete "case number 23" - the gray line #23, NOT our subject #23 - the subject code is 26 for the outlier in this analysis.
The unstandardised coefficient and standard error for the IV to the mediator come from this analysis (for the Sobel test).

REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL CHANGE ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT candyt1
  /METHOD=ENTER c_age women c_att /method=enter mean_bi
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS DURBIN HIST(ZRESID) NORM(ZRESID)
  /CASEWISE PLOT(ZRESID) OUTLIERS(3).
The unstandardised coefficient and standard error for the mediator to the DV come from this analysis in the final block (for the Sobel test).


REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL CHANGE ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT mean_bi
  /METHOD=ENTER c_age women c_att c_pbc c_sn
/SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS DURBIN HIST(ZRESID) NORM(ZRESID)
  /CASEWISE PLOT(ZRESID) OUTLIERS(3).
*Here you delete two more outliers - form the bottom up, mind you!
.435	.108
.572	.086
.231	.061
should be the coeffs for the prediction of BI.

REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL CHANGE ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT candyt1
  /METHOD=ENTER c_age women c_att c_pbc c_sn /method=enter mean_bi
/SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS DURBIN HIST(ZRESID) NORM(ZRESID)
  /CASEWISE PLOT(ZRESID) OUTLIERS(3).

attitudes predict indirectly, z=-2.41, p=.016
pbc and sn are not significant in B1 so mediational analyses should not be conducted according to the original Baron and Kenny paper.
Yet if you do the Sobel tests anyways, you find:
pbc z=-2.74 p=.006
sn z=-2.35, p=.019
For PBC, there is a residual positive effect in B2 so you could probably report a suppression model (IF you have a theoretical rationale!). Otherwise just ignore this 
effect as a probable statistical artefact of the sig pos correlation between pbc and attitudes (which are theorised to be independent in the tpb).
For sn, since the residual coefficient in B2 is also ns, and since there's no theoretical suppression model, one would generally leave it alone.  
However, I have known people to go ahead and report the indirect effect anyways. Some researchers have called for Baron and Kenny's Step 1 to be ignored 
altogether, but I reckon that without a theoretical suppression model it doesn't usually make sense to interpret an indirect effect unless the IV affects the DV 
before the mediator is considered (after the relevant control variables are included but before the mediator is included in the model).

NB I checked out the bootstrapping macros - it appears to me as if :
SOBEL y=candyt1/x=c_att/m=mean_bi/boot=5 .
*July 09: I could get this to work.

INDIRECT y = candyt1/x = c_att/m = mean_bi c_age women/c = 2/boot = 5/conf = 95/
         /normal = 0/contrast = 0/percent = 0/bc = 0/bca = 0
*July '09: When I tried to run this, I got an error message about inability to access the file - according to Preacher's FAQ this could mean you need to get the IT 
guys to change the permissions on your machine.
